edu.msu.cme.rdp.classifier.train.validation.crossvalidate

## Class CrossValidate

- java.lang.Object
- - edu.msu.cme.rdp.classifier.train.validation.crossvalidate.CrossValidate

    public class CrossValidate
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`CrossValidate()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `calErrorRate(java.util.ArrayList<java.util.HashMap> statusCountList)` sensitivity = #TP / (#TP + #FN) specificity = #TN / (#TN + #FP)
`java.util.ArrayList<java.util.HashMap>` `runTest(java.io.File tax_file, java.io.File source_file, java.io.File out_file, java.lang.String rdmSelectedRank, float fraction, java.lang.Integer partialLength, boolean useSeed, int min_bootstrap_words)` The method randomly selects a fraction of sequences from the source file as test set, used the remaining sequences from the source file as training set.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CrossValidate

    public CrossValidate()

### Method Detail

#### runTest

    public java.util.ArrayList<java.util.HashMap> runTest(java.io.File tax_file,
                                                          java.io.File source_file,
                                                          java.io.File out_file,
                                                          java.lang.String rdmSelectedRank,
                                                          float fraction,
                                                          java.lang.Integer partialLength,
                                                          boolean useSeed,
                                                          int min_bootstrap_words)
                                                   throws java.io.IOException

The method randomly selects a fraction of sequences from the source file as test set, used the remaining sequences from the source file as training set.

Parameters:
  `tax_file` -
  `source_file` -
  `selectedTestSeqIDs` -
Throws:
  `java.io.IOException`

#### calErrorRate

    public java.lang.String calErrorRate(java.util.ArrayList<java.util.HashMap> statusCountList)

sensitivity = #TP / (#TP + #FN) specificity = #TN / (#TN + #FP)

Parameters:
  `statusCountList` -